<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'pizi',

    /*
     * Package.
     */
    'package'   => 'recruit',

    /*
     * Modules.
     */
    'modules'   => ['job', 'location', 'job_application'],

    'job'       => [
        'model' => [
            'model' => \Pizi\Recruit\Models\Job::class,
            'repository' => \Pizi\Recruit\Repositories\Eloquent\JobRepository::class,
            'table' => 'jobs',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'name',  'slug',  'type',  'location_id',  'deadline',  'department_name',  'category_name',  'user_id'],
            'translatables' => [],
            'upload_folder' => 'recruit/job',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Pizi',
            'package' => 'Recruit',
            'module' => 'Job',
        ],
    ],
    'location'       => [
        'model' => [
            'model' => \Pizi\Recruit\Models\Location::class,
            'repository' => \Pizi\Recruit\Repositories\Eloquent\LocationRepository::class,
            'table' => 'locations',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'name',  'region',  'slug'],
            'translatables' => [],
            'upload_folder' => 'recruit/location',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Pizi',
            'package' => 'Recruit',
            'module' => 'Location',
        ],
    ],
    'job_application'       => [
        'model' => [
            'model' => \Pizi\Recruit\Models\JobApplication::class,
            'repository' => \Pizi\Recruit\Repositories\Eloquent\JobApplicationRepository::class,
            'table' => 'job_applications',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'user_id',  'job_id',  'status',  'Slug'],
            'translatables' => [],
            'upload_folder' => 'recruit/job_application',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Pizi',
            'package' => 'Recruit',
            'module' => 'JobApplication',
        ],
    ],
];
