Lavalite package that provides recruit management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `pizi/recruit`.

    "pizi/recruit": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Pizi\Recruit\Providers\RecruitServiceProvider::class,

And also add it to alias

    'Recruit'  => Pizi\Recruit\Facades\Recruit::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Pizi\\Recruit\\Seeders\\RecruitTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Pizi\Recruit\Providers\RecruitServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Pizi\Recruit\Providers\RecruitServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Pizi\Recruit\Providers\RecruitServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/recruit/{modulename}

**User**

    http://path-to-route-folder/user/recruit/{modulename}

**Public**

    http://path-to-route-folder/recruits


### API endpoints

**List**

    http://path-to-route-folder/api/user/recruit/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/recruit/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/recruit/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/recruit/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/recruit/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/recruit/{modulename}/{slug}
    METHOD: GET