<?php

namespace Pizi\Recruit\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Litepie\Database\Model;
use Litepie\Database\Traits\Sluggable;
use Litepie\Database\Traits\Sortable;
use Litepie\Filer\Traits\Filer;
use Litepie\Hashids\Traits\Hashids;
use Litepie\Trans\Traits\Translatable;

class JobApplication extends Model
{
    use Filer;
    use Hashids;
    use Sluggable;
    use SoftDeletes;
    use Sortable;
    use Translatable;

    /**
     * Configuartion for the model.
     *
     * @var array
     */
     protected $config = 'pizi.recruit.job_application.model';


    /**
     * The jobs that belong to the job_application.
     */
    public function jobs(){
        return $this->belongsTo('Recruit\JobApplication\Models\Job');
    }
}
