<?php

namespace Pizi\Recruit\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Job policy
        \Pizi\Recruit\Repositories\Eloquent\JobRepository::class 
        => \Pizi\Recruit\Policies\JobPolicy::class,// Bind Location policy
        \Pizi\Recruit\Repositories\Eloquent\LocationRepository::class 
        => \Pizi\Recruit\Policies\LocationPolicy::class,// Bind JobApplication policy
        \Pizi\Recruit\Repositories\Eloquent\JobApplicationRepository::class 
        => \Pizi\Recruit\Policies\JobApplicationPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
