<?php

namespace Pizi\Recruit\Repositories\Eloquent;

use Pizi\Recruit\Interfaces\JobRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Pizi\Recruit\Repositories\Eloquent\Presenters\JobItemPresenter;


class JobRepository extends BaseRepository implements JobRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('pizi.recruit.job.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('pizi.recruit.job.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return JobItemPresenter::class;
    }
}
