<?php

namespace Pizi\Recruit\Repositories\Eloquent;

use Pizi\Recruit\Interfaces\LocationRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Pizi\Recruit\Repositories\Eloquent\Presenters\LocationItemPresenter;


class LocationRepository extends BaseRepository implements LocationRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('pizi.recruit.location.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('pizi.recruit.location.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return LocationItemPresenter::class;
    }
}
